OAuth authorization-server metadata
GET
/.well-known/oauth-authorization-server
const url = 'https://api.muninx.com/.well-known/oauth-authorization-server';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.muninx.com/.well-known/oauth-authorization-server \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OAuth metadata
Media type application/json
object
issuer
required
string format: uri
authorization_endpoint
required
string format: uri
token_endpoint
required
string format: uri
registration_endpoint
string format: uri
introspection_endpoint
string format: uri
response_types_supported
Array<string>
grant_types_supported
Array<string>
Example generated
{ "issuer": "https://example.com", "authorization_endpoint": "https://example.com", "token_endpoint": "https://example.com", "registration_endpoint": "https://example.com", "introspection_endpoint": "https://example.com", "response_types_supported": [ "example" ], "grant_types_supported": [ "example" ]}